Bug 188589 - stat reporting negative inode number
stat reporting negative inode number
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks: 176344 198694
  Show dependency treegraph
 
Reported: 2006-04-11 11:26 EDT by Eric Engquist
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Engquist 2006-04-11 11:26:03 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
I have several files which du -sh is showing wrong size:

# ls -l m2662.dump13
-rw-------  1 pscrozi pscrozi 1576727466 Apr  3 01:17 m2662.dump13
[root@clogin1 m2662]# du -sh m2662.dump13
4.4E    m2662.dump13


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-04-11 12:22:06 EDT
1. What filesystem does that file reside on?  Also,
2. What does 'strace -v du -sh m2662.dump13' say?

Thanks.
Comment 3 Eric Engquist 2006-04-11 12:35:22 EDT
It is on a panasas parallel file system.  However I also have it mounted NFS and
that shows the same.

Here is the strace output for the file system mounted in parallel, following
will be it mounted as nfs:
# strace -v du -sh m2662.dump13
execve("/usr/bin/du", ["du", "-sh", "m2662.dump13"], [/* 58 vars */]) = 0
uname({sysname="Linux", nodename="alogin1.sandia.gov",
release="2.6.9-15.EL.rootsmp", version="#1 SMP Tue Aug 16 12:32:24 MDT 2005",
machine="x86_64"}) = 0
brk(0)                                  = 0x50c000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95556000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/apps/intel/mkl721/lib/em64t/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/mkl721/lib/em64t/tls/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No
such file or directory)
open("/apps/intel/mkl721/lib/em64t/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/mkl721/lib/em64t/tls", 0x7fbfffe5a0) = -1 ENOENT (No such file
or directory)
open("/apps/intel/mkl721/lib/em64t/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/mkl721/lib/em64t/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No such
file or directory)
open("/apps/intel/mkl721/lib/em64t/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/mkl721/lib/em64t", {st_dev=makedev(0, 20), st_ino=8224998,
st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=8, st_size=4096, st_atime=2006/04/11-04:43:35,
st_mtime=2005/08/03-15:53:36, st_ctime=2005/08/03-15:53:36}) = 0
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/x86_64",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/x86_64",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib",
{st_dev=makedev(0, 20), st_ino=7195189, st_mode=S_IFDIR|0755, st_nlink=3,
st_uid=0, st_gid=0, st_blksize=32768, st_blocks=8, st_size=4096,
st_atime=2006/04/11-04:18:41, st_mtime=2005/12/02-12:15:53,
st_ctime=2005/12/02-12:15:53}) = 0
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/x86_64",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/x86_64",
0x7fbfffe5a0) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared",
{st_dev=makedev(0, 20), st_ino=7195190, st_mode=S_IFDIR|0755, st_nlink=2,
st_uid=0, st_gid=0, st_blksize=32768, st_blocks=8, st_size=4096,
st_atime=2006/04/11-04:18:41, st_mtime=2005/12/02-12:15:42,
st_ctime=2005/12/02-12:15:42}) = 0
open("/apps/intel/cce/9.0.023/lib/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/cce/9.0.023/lib/tls/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No
such file or directory)
open("/apps/intel/cce/9.0.023/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/cce/9.0.023/lib/tls", 0x7fbfffe5a0) = -1 ENOENT (No such file
or directory)
open("/apps/intel/cce/9.0.023/lib/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/cce/9.0.023/lib/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No such
file or directory)
open("/apps/intel/cce/9.0.023/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/cce/9.0.023/lib", {st_dev=makedev(0, 20), st_ino=21383463,
st_mode=S_IFDIR|0755, st_nlink=3, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=16, st_size=8192, st_atime=2006/04/11-04:43:33,
st_mtime=2005/08/03-13:48:24, st_ctime=2005/08/03-13:48:24}) = 0
open("/apps/intel/fce/9.0.025/lib/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/fce/9.0.025/lib/tls/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No
such file or directory)
open("/apps/intel/fce/9.0.025/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/fce/9.0.025/lib/tls", 0x7fbfffe5a0) = -1 ENOENT (No such file
or directory)
open("/apps/intel/fce/9.0.025/lib/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/fce/9.0.025/lib/x86_64", 0x7fbfffe5a0) = -1 ENOENT (No such
file or directory)
open("/apps/intel/fce/9.0.025/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/fce/9.0.025/lib", {st_dev=makedev(0, 20), st_ino=7104972,
st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=16, st_size=8192, st_atime=2006/04/11-04:43:36,
st_mtime=2005/08/03-14:41:02, st_ctime=2005/08/03-14:41:02}) = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_dev=makedev(8, 3), st_ino=977287, st_mode=S_IFREG|0644, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=328, st_size=163665,
st_atime=2006/04/11-10:36:38, st_mtime=2006/04/07-05:48:30,
st_ctime=2006/04/07-05:48:30}) = 0
mmap(NULL, 163665, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95557000
close(3)                                = 0
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\305a\322"..., 640) = 640
lseek(3, 624, SEEK_SET)                 = 624
read(3, "\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\4\0\0\0"..., 32) = 32
fstat(3, {st_dev=makedev(8, 3), st_ino=217171, st_mode=S_IFREG|0755, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=2928, st_size=1490956,
st_atime=2006/04/11-10:36:38, st_mtime=2005/05/12-15:26:26,
st_ctime=2006/02/22-04:03:25}) = 0
mmap(0x31d2600000, 2305992, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x31d2600000
mprotect(0x31d2729000, 1089480, PROT_NONE) = 0
mmap(0x31d2829000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x129000) = 0x31d2829000
mmap(0x31d282f000, 16328, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x31d282f000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a9557f000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95580000
mprotect(0x31d2829000, 12288, PROT_READ) = 0
arch_prctl(ARCH_SET_FS, 0x2a9557fb00)   = 0
munmap(0x2a95557000, 163665)            = 0
brk(0)                                  = 0x50c000
brk(0x52d000)                           = 0x52d000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_dev=makedev(8, 3), st_ino=997310, st_mode=S_IFREG|0644, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=77296, st_size=39546576,
st_atime=2006/04/11-10:31:59, st_mtime=2006/02/21-06:48:03,
st_ctime=2006/02/21-06:48:33}) = 0
mmap(NULL, 39546576, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95581000
close(3)                                = 0
lstat("m2662.dump13", {st_dev=makedev(0, 22), st_ino=3428338659,
st_mode=S_IFREG|0600, st_nlink=1, st_uid=18650, st_gid=18650, st_blksize=4096,
st_blocks=9711058507023623, st_size=1576727466, st_atime=2006/04/03-01:17:56,
st_mtime=2006/04/03-01:17:56, st_ctime=2006/04/03-01:17:56}) = 0
open(".", O_RDONLY)                     = 3
fchdir(3)                               = 0
fstat(1, {st_dev=makedev(0, 9), st_ino=12, st_mode=S_IFCHR|0620, st_nlink=1,
st_uid=12184, st_gid=5, st_blksize=1024, st_blocks=0, st_rdev=makedev(136, 10),
st_atime=2006/04/11-10:36:38, st_mtime=2006/04/11-10:36:38,
st_ctime=2006/04/11-08:28:53}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a97b38000
write(1, "4.4E\tm2662.dump13\n", 184.4E m2662.dump13
)    = 18
fchdir(3)                               = 0
close(3)                                = 0
munmap(0x2a97b38000, 4096)              = 0
exit_group(0)                           = ?

Here is the output when mounted as an NFS file system:

# strace -v du -sh m2662.dump13
execve("/usr/bin/du", ["du", "-sh", "m2662.dump13"], ["SNLSITE=nm",
"MODULE_VERSION_STACK=3.1.6", "MAUIHOME=/apps/moab",
"MANPATH=/apps/x86_64/mpi/mvapich"..., "HOSTNAME=clogin1.sandia.gov",
"INTEL_LICENSE_FILE=/apps/intel/l"..., "_MODULESBEGINENV_=/root/.modules"...,
"SNLSYSTEM=thunderbird", "SHELL=/bin/bash", "TERM=xterm", "HISTSIZE=1000",
"CAPROLE=worker", "VIADEV_DEFAULT_RETRY_COUNT=15", "VIADEV_CONSERVE_MEMORY=1",
"VIADEV_INITIAL_PREPOST_DEPTH=0", "MODULE_SHELL=sh", "QTDIR=/usr/lib64/qt-3.3",
"DISABLE_RDMA_ALLTOALL=1", "SNLCLUSTER=thunderbird", "MODULE_OSCAR_USER=root",
"USER=root", "LS_COLORS=no=00:fi=00:di=00;34:l"...,
"LD_LIBRARY_PATH=/apps/intel/mkl7"..., "MKL_LIB=/apps/intel/mkl721/lib/e"...,
"CAPHOME=/usr", "MKLHOME=/apps/intel/mkl721", "ENV=/root/.bashrc",
"VBUF_TOTAL_SIZE=1024", "VIADEV_VBUF_MAX=-1", "KDEDIR=/usr",
"MODULE_VERSION=3.1.6", "MAIL=/var/spool/mail/root",
"PATH=/usr/local/topspin/sbin:/us"..., "INPUTRC=/etc/inputrc", "PWD=/root",
"MPIEXECHOME=/apps/mpiexec", "_LMFILES_=/opt/modules/oscar-mod"...,
"CAPBOSS=10.100.16.250", "LANG=en_US.UTF-8",
"MODULEPATH=/projects/modules/mod"..., "LOADEDMODULES=1.0.1:compilers/in"...,
"SSH_ASKPASS=/usr/libexec/openssh"..., "VIADEV_NUM_RDMA_BUFFER=2", "SHLVL=1",
"HOME=/root", "CAPCLUSTER=c", "MPIHOME=/apps/x86_64/mpi/mvapich"...,
"LOGNAME=root", "VIADEV_DEFAULT_TIME_OUT=18", "MODULESHOME=/opt/modules/3.1.6",
"LESSOPEN=|/usr/bin/lesspipe.sh %"..., "CAPCONF=/etc/cap",
"TORQUEHOME=/apps/torque", "INCLUDE=/apps/intel/mkl721/inclu"...,
"G_BROKEN_FILENAMES=1", "_=/usr/bin/strace"]) = 0
uname({sysname="Linux", nodename="clogin1.sandia.gov",
release="2.6.9-34.EL_lustre.1.4.6.1smp", version="#1 SMP Mon Apr 3 14:36:19 MDT
2006", machine="x86_64"}) = 0
brk(0)                                  = 0x50c000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95556000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/apps/intel/mkl721/lib/em64t/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/mkl721/lib/em64t/tls/x86_64", 0x7fbfffe530) = -1 ENOENT (No
such file or directory)
open("/apps/intel/mkl721/lib/em64t/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/mkl721/lib/em64t/tls", 0x7fbfffe530) = -1 ENOENT (No such file
or directory)
open("/apps/intel/mkl721/lib/em64t/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/mkl721/lib/em64t/x86_64", 0x7fbfffe530) = -1 ENOENT (No such
file or directory)
open("/apps/intel/mkl721/lib/em64t/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/mkl721/lib/em64t", {st_dev=makedev(0, 21), st_ino=8224998,
st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=8, st_size=4096, st_atime=2006/04/11-04:43:35,
st_mtime=2005/08/03-15:53:36, st_ctime=2005/08/03-15:53:36}) = 0
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/x86_64",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/tls",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/x86_64",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib",
{st_dev=makedev(0, 21), st_ino=7195189, st_mode=S_IFDIR|0755, st_nlink=3,
st_uid=0, st_gid=0, st_blksize=32768, st_blocks=8, st_size=4096,
st_atime=2006/04/11-04:18:41, st_mtime=2005/12/02-12:15:53,
st_ctime=2005/12/02-12:15:53}) = 0
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/x86_64",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/tls",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/x86_64/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/x86_64",
0x7fbfffe530) = -1 ENOENT (No such file or directory)
open("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared/libc.so.6",
O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/apps/x86_64/mpi/mvapich/intel-9.0/mvapich-0.9.5-119/lib/shared",
{st_dev=makedev(0, 21), st_ino=7195190, st_mode=S_IFDIR|0755, st_nlink=2,
st_uid=0, st_gid=0, st_blksize=32768, st_blocks=8, st_size=4096,
st_atime=2006/04/11-04:18:41, st_mtime=2005/12/02-12:15:42,
st_ctime=2005/12/02-12:15:42}) = 0
open("/apps/intel/cce/9.0.023/lib/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/cce/9.0.023/lib/tls/x86_64", 0x7fbfffe530) = -1 ENOENT (No
such file or directory)
open("/apps/intel/cce/9.0.023/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/cce/9.0.023/lib/tls", 0x7fbfffe530) = -1 ENOENT (No such file
or directory)
open("/apps/intel/cce/9.0.023/lib/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/cce/9.0.023/lib/x86_64", 0x7fbfffe530) = -1 ENOENT (No such
file or directory)
open("/apps/intel/cce/9.0.023/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/cce/9.0.023/lib", {st_dev=makedev(0, 21), st_ino=21383463,
st_mode=S_IFDIR|0755, st_nlink=3, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=16, st_size=8192, st_atime=2006/04/11-04:43:33,
st_mtime=2005/08/03-13:48:24, st_ctime=2005/08/03-13:48:24}) = 0
open("/apps/intel/fce/9.0.025/lib/tls/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/apps/intel/fce/9.0.025/lib/tls/x86_64", 0x7fbfffe530) = -1 ENOENT (No
such file or directory)
open("/apps/intel/fce/9.0.025/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/fce/9.0.025/lib/tls", 0x7fbfffe530) = -1 ENOENT (No such file
or directory)
open("/apps/intel/fce/9.0.025/lib/x86_64/libc.so.6", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/apps/intel/fce/9.0.025/lib/x86_64", 0x7fbfffe530) = -1 ENOENT (No such
file or directory)
open("/apps/intel/fce/9.0.025/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/apps/intel/fce/9.0.025/lib", {st_dev=makedev(0, 21), st_ino=7104972,
st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=32768,
st_blocks=16, st_size=8192, st_atime=2006/04/11-04:43:36,
st_mtime=2005/08/03-14:41:02, st_ctime=2005/08/03-14:41:02}) = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_dev=makedev(8, 3), st_ino=424125, st_mode=S_IFREG|0644, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=336, st_size=163957,
st_atime=2006/04/11-10:40:34, st_mtime=2006/04/07-05:49:08,
st_ctime=2006/04/07-05:49:08}) = 0
mmap(NULL, 163957, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95557000
close(3)                                = 0
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\305\341"..., 832) =
832fstat(3, {st_dev=makedev(8, 3), st_ino=912150, st_mode=S_IFREG|0755,
st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=2928,
st_size=1493186, st_atime=2006/04/11-10:40:34, st_mtime=2006/02/08-16:45:36,
st_ctime=2006/03/28-04:04:05}) = 0
mmap(0x3302e00000, 2310056, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3302e00000
mprotect(0x3302f2b000, 1085352, PROT_NONE) = 0
mmap(0x330302a000, 24576, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12a000) = 0x330302a000
mmap(0x3303030000, 16296, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3303030000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95580000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a95581000
mprotect(0x330302a000, 12288, PROT_READ) = 0
arch_prctl(ARCH_SET_FS, 0x2a95580b00)   = 0
munmap(0x2a95557000, 163957)            = 0
brk(0)                                  = 0x50c000
brk(0x52d000)                           = 0x52d000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_dev=makedev(8, 3), st_ino=166601, st_mode=S_IFREG|0644, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=94792, st_size=48500592,
st_atime=2006/04/11-10:39:50, st_mtime=2006/03/27-11:15:46,
st_ctime=2006/03/27-11:16:16}) = 0
mmap(NULL, 48500592, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2a95582000
close(3)                                = 0
lstat("m2662.dump13", 0x50ec40)         = -1 ENOENT (No such file or directory)
open(".", O_RDONLY)                     = 3
fchdir(3)                               = 0
open("/usr/share/locale/locale.alias", O_RDONLY) = 4
fstat(4, {st_dev=makedev(8, 3), st_ino=166430, st_mode=S_IFREG|0644, st_nlink=1,
st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=2528,
st_atime=2006/04/11-10:39:50, st_mtime=2006/02/08-16:02:24,
st_ctime=2006/03/27-11:15:41}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a983c3000
read(4, "# Locale name alias data base.\n#"..., 4096) = 2528
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x2a983c3000, 4096)              = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/coreutils.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
write(2, "du: ", 4du: )                     = 4
write(2, "cannot access `m2662.dump13\'", 28cannot access `m2662.dump13') = 28
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
write(2, ": No such file or directory", 27: No such file or directory) = 27
write(2, "\n", 1
)                       = 1
fchdir(3)                               = 0
close(3)                                = 0
exit_group(1)                           = ?
Process 32654 detached
Comment 4 Tim Waugh 2006-04-11 12:54:13 EDT
From the first strace:

lstat("m2662.dump13", {st_dev=makedev(0, 22), st_ino=3428338659,
st_mode=S_IFREG|0600, st_nlink=1, st_uid=18650, st_gid=18650, st_blksize=4096,
st_blocks=9711058507023623, st_size=1576727466, st_atime=2006/04/03-01:17:56,
st_mtime=2006/04/03-01:17:56, st_ctime=2006/04/03-01:17:56}) = 0

(the second one could not stat the file, incidentally)

As you can see, st_blocks is completely incorrect, and du is just reporting what
the kernel tells it.  Reassigning to kernel.
Comment 5 Marcus R. Epperson 2006-04-11 13:36:29 EDT
On a related note, the "stat" command reports an incorrect inode for that file,
while "ls -i" works correctly.  The Blocks field may be incorrect as well.

# ls -i m2662.dump13
3428338659 m2662.dump13

# stat m2662.dump13
  File: `m2662.dump13'
  Size: 1576727466      Blocks: 11814151   IO Block: 4096   regular file
Device: 16h/22d Inode: -866628637  Links: 1
Access: (0600/-rw-------)  Uid: (___/ ___)   Gid: (___/ ___)
Access: 2006-04-03 01:17:56.789699000 -0600
Modify: 2006-04-03 01:17:56.789699000 -0600
Change: 2006-04-03 01:17:56.789699000 -0600
Comment 6 Peter Staubach 2006-04-11 14:49:22 EDT
Would it be possible to capture a trace of the NFS network traffic while
the stat(1) command is running?  The raw capture file would be useful to
look at.
Comment 7 Marcus R. Epperson 2006-04-12 18:22:11 EDT
Unfortunately this is not an NFS mount, it is a non-Redhat-supported filesystem.
 So I don't think this is a valid ticket anymore now that we know the filesystem
is at fault.  We have taken up the issue with our filesystem vendor.

I did want to point out that although the lstat call returns a valid inode
(assuming 3428338659 is valid), the 'stat' command doesn't print it correctly. 
It looks like stat might be using a signed data type while 'ls' is not (or maybe
a larger signed type).  See above lstat, stat, and ls output for more detail.

If that is not a legitimate coreutils flaw either, then I would say you can
close this ticket any time.  Thank you for your assistance.
Comment 8 Peter Staubach 2006-04-13 09:10:39 EDT
The stat(1) command is indeed using a signed type.
Comment 9 Tim Waugh 2006-05-02 05:26:56 EDT
Not sure why the component got changed to 'kernel'.  'coreutils' is the correct
component.  Fixing.
Comment 10 Tim Waugh 2006-05-22 12:21:31 EDT
FWIW, this is fixed since FC5.
Comment 12 RHEL Product and Program Management 2006-08-18 12:17:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 Red Hat Bugzilla 2007-05-01 18:52:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0213.html

Note You need to log in before you can comment on or make changes to this bug.